package game.mvc.model 
{
    import game.mvc.model.circle.CirclesModel;
    import game.mvc.model.score.ScoreModel;
    import game.mvc.model.tank.TankModel;
    
    public class BaseModel 
    {
        private var _tank:TankModel = new TankModel();
        private var _enemies:CirclesModel = new CirclesModel();
        private var _bullets:CirclesModel = new CirclesModel();
        private var _score:ScoreModel = new ScoreModel();
        
        public function restart():void
        {
            _tank.restart();
            _enemies.restart();
            _bullets.restart();
            _score.restart();
        }
        
        public function get tank():TankModel 
        {
            return _tank;
        }
        
        public function get enemies():CirclesModel 
        {
            return _enemies;
        }
        
        public function get bullets():CirclesModel 
        {
            return _bullets;
        }
        
        public function get score():ScoreModel 
        {
            return _score;
        }
    }
}