package game.mvc.model.bullets 
{
    import game.constants.Size;
    import game.mvc.model.circle.CircleModel;
    
    public class BulletModel extends CircleModel
    {
        private static const SPEED:Number = 15;
        
        public function BulletModel(tankX:int, tankY:int, angle:Number) 
        {
            var cos:Number = Math.cos(angle);
            var sin:Number = Math.sin(angle);
            _x = tankX + Size.BULLET_RESPAWN_DISTANTION * cos;
            _y = tankY + Size.BULLET_RESPAWN_DISTANTION * sin;
            speedX = SPEED * cos;
            speedY = SPEED * sin;
        }
        
        override public function get isEnd():Boolean
        {
            return (x < 0 || x > Size.GAME_WIDTH || y < 0 || y > Size.GAME_HEIGHT) ? true : false;
        }
    }
}