package game.mvc.model.circle 
{
    public class CircleModel 
    {
        protected var _x:Number;
        protected var _y:Number;
        
        protected var speedX:Number;
        protected var speedY:Number;
        
        protected var _deleted:Boolean;
        
        public function move():void
        {
            _x += speedX;
            _y += speedY;
        }
        
        public function get x():int 
        {
            return _x;
        }
        
        public function get y():int 
        {
            return _y;
        }
        
        public function get deleted():Boolean 
        {
            return _deleted;
        }
        
        public function set deleted(value:Boolean):void 
        {
            _deleted = value;
        }
        
        public function get isEnd():Boolean
        {
            throw new Error("Функция get isEnd() должна быть переопределена в дочернем классе.");
        }
    }
}