package 
{
    import flash.display.Shape;
	import flash.display.Sprite;
    import flash.display.StageScaleMode;
	import flash.events.Event;
    import game.mvc.controllers.BaseController;
    import utils.StageMask;
	
	[SWF(width = "600", height = "480", backgroundColor = "#FFFFFF", frameRate = "30")]
    [Frame(factoryClass = "Main")]
    
    public class Main extends Sprite 
    {
        public function Main():void 
        {
            if (stage)
                init();
            else
                addEventListener(Event.ADDED_TO_STAGE, addedToStage);
        }
        
        private function addedToStage(e:Event):void 
        {
            removeEventListener(Event.ADDED_TO_STAGE, addedToStage);
            init();
        }
        
        public function init():void 
        {
            tabChildren = false;
            stage.scaleMode = StageScaleMode.NO_SCALE;
            addStageMask();
            new BaseController(this);
        }
        
        private function addStageMask():void
        {
            var stageMask:Shape = new StageMask(stage);
            addChild(stageMask);
            mask = stageMask;
        }
    }
}