package game.mvc.model.circle 
{
    public class CirclesModel 
    {
        private var circles:Vector.<CircleModel> = new Vector.<CircleModel>();
        
        public function add(circle:CircleModel):void 
        {
            circles.push(circle);
        }
        
        public function get length():int
        {
            return circles.length;
        }
        
        public function getCircle(index:int):CircleModel
        {
            return circles[index];
        }
        
        public function deleteByIndex(index:int):void 
        {
            circles[index].deleted = true;
            circles.splice(index, 1);
        }
        
        public function restart():void
        {
            circles.length = 0;
        }
    }
}