package game.mvc.views.game.circle 
{
    import flash.display.Shape;
    import game.mvc.model.circle.CircleModel;
    
    public class CircleView extends Shape
    {
        private var circleModel:CircleModel;
        private var color:uint;
        private var size:int;
        
        public function CircleView(circleModel:CircleModel, color:uint, size:int) 
        {
            this.circleModel = circleModel;
            this.color = color;
            this.size = size;
            init();
        }
        
        private function init():void 
        {
            draw();
            update();
        }
        
        private function draw():void 
        {
            graphics.beginFill(color);
            graphics.drawCircle(0, 0, size);
            graphics.endFill();
        }
        
        public function update():void
        {
            x = circleModel.x;
            y = circleModel.y;
        }
        
        public function get deleted():Boolean
        {
           return circleModel.deleted;
        }
    }
}