package game.mvc.views.score 
{
    import flash.display.Sprite;
    import flash.events.Event;
    import flash.text.TextField;
    import game.mvc.model.score.ScoreModel;

    public class ScoreView extends Sprite
    {
        private var score:ScoreModel;
        private var textField:TextField;
        
        public function ScoreView(score:ScoreModel) 
        {
            this.score = score;
            init();
        }
        
        private function init():void 
        {
            draw();
            textField.text = score.score.toString();
            score.addEventListener(Event.CHANGE, changeListener);
        }
        
        private function draw():void 
        {
            textField = new TextField();
            textField.selectable = false;
            textField.background = true;
            textField.textColor = 0xFFFFFF;
            textField.backgroundColor = 0x000000;
            textField.width = 70;
            textField.height = 20;
            addChild(textField);
        }
        
        private function changeListener(e:Event):void 
        {
            textField.text = score.score.toString();
        }
    }
}