package game.mvc.views.windows 
{
    import flash.display.Shape;
    import flash.display.Sprite;
    import flash.text.TextField;
    import flash.text.TextFormat;
    import flash.text.TextFormatAlign;
    import game.constants.Size;
    
    public class RestartWindowView extends Sprite
    {
        private static const BACKGROUND_COLOR:uint = 0x000000;
        private static const BACKGROUND_ALPHA:Number = 0.8;
        private static const TEXT_COLOR:uint = 0xFFFFFF;
        private static const TEXT:String = "Чтобы начать игру заново, кликните в любой части экрана.";
        
        private var textField:TextField = new TextField();
        
        public function RestartWindowView() 
        {
            drawBackground();
            drawText();
        }
        private function drawBackground():void 
        {
            graphics.beginFill(BACKGROUND_COLOR, BACKGROUND_ALPHA);
            graphics.drawRect(0, 0, Size.GAME_WIDTH, Size.GAME_HEIGHT);
            graphics.endFill();
        }
        
        private function drawText():void 
        {
            var textFormal:TextFormat = new TextFormat();
            textFormal.align = TextFormatAlign.CENTER;
            textField.defaultTextFormat = textFormal;
            textField.width = Size.GAME_WIDTH;
            textField.selectable = false;
            textField.textColor = TEXT_COLOR;
            textField.text = TEXT;
            addChild(textField);
        }
    }
}